package hu.stunts.scr.ui;

import java.awt.Color;
import java.awt.Component;
import java.awt.Container;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.*;

/*
 * This frame uses BoxLayout. It is recommended to use other containers to
 * lay out the components before adding them.
 */

public class FrameWithClose extends JFrame {

	/**
	 * 
	 */
	private static final long serialVersionUID = -4646456942798467555L;
	
	private Box mainBox = new Box(BoxLayout.Y_AXIS);
	
	public FrameWithClose (String title, String closeText) {
		super(title);
		setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
		setSize(320,270);
		Container cp = getContentPane();
		setLayout(new BoxLayout(cp, BoxLayout.Y_AXIS));
		ActionListener onBClose = new ActionListener() {
		    	public void actionPerformed(ActionEvent e) {
		    		dispose();
		    	}
		};
		JButton bClose = new JButton(closeText);
		bClose.setAlignmentX(Component.CENTER_ALIGNMENT);
		bClose.addActionListener(onBClose);
		cp.add(mainBox);
		cp.add(Box.createVerticalGlue());
		cp.add(bClose);
	}
	
	public FrameWithClose (String title) {
		this(title, "OK");
	}
	
	public Box mainBox () {
		return mainBox;
	}
 
	public void setBG(Color c) {
		mainBox.setBackground(c);
	}
	
}
