package hu.stunts.scr.utils;

import java.io.*;

public abstract class IOStunts {

	public static int readStuntsUShort (RandomAccessFile rf) throws IOException {
		int val;
		val = rf.readUnsignedByte();
		val = rf.readUnsignedByte() << 8 | val;
		return val;
	}
	
	public static int readStuntsShort (RandomAccessFile rf) throws IOException {
		int val;
		val = rf.readByte();
		val = (short)(rf.readByte() << 8 | val);
		return val;
	}
	
	public static String readStuntsString (RandomAccessFile rf, int maxLength) throws IOException {
		String str = "";
		byte c = rf.readByte();
		for (int i = 0; i < maxLength && c != 0; i++){
			str += (char)c;
			c = rf.readByte();
		}
		return str;
	}
	
	
}
